Index: trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java
===================================================================
--- trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java	(revision 11)
+++ trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java	(revision 12)
@@ -1817,7 +1818,7 @@
             }
             switch (alt30) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:348:6: T_VAR localActionVars[newMethod] 'begin'
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:352:6: T_VAR localActionVars[newMethod] 'begin'
                     {
                     match(input,T_VAR,FOLLOW_T_VAR_in_method1053);
 
@@ -1864,7 +1865,7 @@
 
 
     // $ANTLR start "methodParameterList"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:357:1: methodParameterList[FunctionIdentifier newMethod] : paramName= T_IDENTIFIER T_COLON atype= complexType ( T_COMMA otherparam= T_IDENTIFIER T_COLON othertype= complexType )* ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:361:1: methodParameterList[FunctionIdentifier newMethod] : paramName= T_IDENTIFIER T_COLON atype= complexType ( T_COMMA otherparam= T_IDENTIFIER T_COLON othertype= complexType )* ;
     public final void methodParameterList(FunctionIdentifier newMethod) throws RecognitionException {
         Token paramName=null;
         Token otherparam=null;
@@ -1874,8 +1875,8 @@
 
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:358:2: (paramName= T_IDENTIFIER T_COLON atype= complexType ( T_COMMA otherparam= T_IDENTIFIER T_COLON othertype= complexType )* )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:358:5: paramName= T_IDENTIFIER T_COLON atype= complexType ( T_COMMA otherparam= T_IDENTIFIER T_COLON othertype= complexType )*
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:362:2: (paramName= T_IDENTIFIER T_COLON atype= complexType ( T_COMMA otherparam= T_IDENTIFIER T_COLON othertype= complexType )* )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:362:5: paramName= T_IDENTIFIER T_COLON atype= complexType ( T_COMMA otherparam= T_IDENTIFIER T_COLON othertype= complexType )*
             {
             paramName=(Token)match(input,T_IDENTIFIER,FOLLOW_T_IDENTIFIER_in_methodParameterList1365);
 
@@ -1889,7 +1890,7 @@
 
             addMethodParameter(newMethod,paramName,atype);
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:359:4: ( T_COMMA otherparam= T_IDENTIFIER T_COLON othertype= complexType )*
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:363:4: ( T_COMMA otherparam= T_IDENTIFIER T_COLON othertype= complexType )*
             loop31:
             do {
                 int alt31=2;
@@ -1902,7 +1903,7 @@
 
                 switch (alt31) {
             	case 1 :
-            	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:359:5: T_COMMA otherparam= T_IDENTIFIER T_COLON othertype= complexType
+            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:363:5: T_COMMA otherparam= T_IDENTIFIER T_COLON othertype= complexType
             	    {
             	    match(input,T_COMMA,FOLLOW_T_COMMA_in_methodParameterList1379);
 
@@ -1945,11 +1946,11 @@
 
 
     // $ANTLR start "namedActionList"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:368:1: namedActionList : namedAction ( T_SEMICOLON namedAction )* ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:372:1: namedActionList : namedAction ( T_SEMICOLON namedAction )* ;
     public final void namedActionList() throws RecognitionException {
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:369:2: ( namedAction ( T_SEMICOLON namedAction )* )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:369:4: namedAction ( T_SEMICOLON namedAction )*
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:373:2: ( namedAction ( T_SEMICOLON namedAction )* )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:373:4: namedAction ( T_SEMICOLON namedAction )*
             {
             pushFollow(FOLLOW_namedAction_in_namedActionList1416);
             namedAction();
@@ -1957,7 +1958,7 @@
             state._fsp--;
 
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:369:16: ( T_SEMICOLON namedAction )*
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:373:16: ( T_SEMICOLON namedAction )*
             loop32:
             do {
                 int alt32=2;
@@ -1970,7 +1971,7 @@
 
                 switch (alt32) {
             	case 1 :
-            	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:369:17: T_SEMICOLON namedAction
+            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:373:17: T_SEMICOLON namedAction
             	    {
             	    match(input,T_SEMICOLON,FOLLOW_T_SEMICOLON_in_namedActionList1419);
 
@@ -2007,7 +2008,7 @@
 
 
     // $ANTLR start "namedAction"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:372:1: namedAction : ( T_CTRL | T_OBS |) actionname= T_IDENTIFIER ( T_LPAREN methodParameterList[newAction] T_RPAREN )? T_EQUAL ( T_VAR localActionVars[newAction] )? body= discreteActionBody ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:376:1: namedAction : ( T_CTRL | T_OBS |) actionname= T_IDENTIFIER ( T_LPAREN ( methodParameterList[newAction] )? T_RPAREN )? T_EQUAL ( T_VAR localActionVars[newAction] )? body= discreteActionBody ;
     public final void namedAction() throws RecognitionException {
         Token actionname=null;
         GuardedCommand body =null;
@@ -2018,12 +2019,12 @@
         		FunctionIdentifier newAction = null;
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:377:2: ( ( T_CTRL | T_OBS |) actionname= T_IDENTIFIER ( T_LPAREN methodParameterList[newAction] T_RPAREN )? T_EQUAL ( T_VAR localActionVars[newAction] )? body= discreteActionBody )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:377:4: ( T_CTRL | T_OBS |) actionname= T_IDENTIFIER ( T_LPAREN methodParameterList[newAction] T_RPAREN )? T_EQUAL ( T_VAR localActionVars[newAction] )? body= discreteActionBody
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:381:2: ( ( T_CTRL | T_OBS |) actionname= T_IDENTIFIER ( T_LPAREN ( methodParameterList[newAction] )? T_RPAREN )? T_EQUAL ( T_VAR localActionVars[newAction] )? body= discreteActionBody )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:381:4: ( T_CTRL | T_OBS |) actionname= T_IDENTIFIER ( T_LPAREN ( methodParameterList[newAction] )? T_RPAREN )? T_EQUAL ( T_VAR localActionVars[newAction] )? body= discreteActionBody
             {
             actionType = FunctionTypeEnum.Internal;
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:378:3: ( T_CTRL | T_OBS |)
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:382:3: ( T_CTRL | T_OBS |)
             int alt33=3;
             switch ( input.LA(1) ) {
             case T_CTRL:
@@ -2051,7 +2052,7 @@
 
             switch (alt33) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:378:4: T_CTRL
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:382:4: T_CTRL
                     {
                     match(input,T_CTRL,FOLLOW_T_CTRL_in_namedAction1446);
 
@@ -2060,7 +2061,7 @@
                     }
                     break;
                 case 2 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:378:58: T_OBS
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:382:58: T_OBS
                     {
                     match(input,T_OBS,FOLLOW_T_OBS_in_namedAction1451);
 
@@ -2069,7 +2070,7 @@
                     }
                     break;
                 case 3 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:378:109:
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:382:109:
                     {
                     }
                     break;
@@ -2081,49 +2082,66 @@
 
             newAction = createNamedAction(actionname,actionType);
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:380:3: ( T_LPAREN methodParameterList[newAction] T_RPAREN )?
-            int alt34=2;
-            final int LA34_0 = input.LA(1);
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:384:3: ( T_LPAREN ( methodParameterList[newAction] )? T_RPAREN )?
+            int alt35=2;
+            final int LA35_0 = input.LA(1);
 
-            if ( (LA34_0==T_LPAREN) ) {
-                alt34=1;
+            if ( (LA35_0==T_LPAREN) ) {
+                alt35=1;
             }
-            switch (alt34) {
+            switch (alt35) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:380:4: T_LPAREN methodParameterList[newAction] T_RPAREN
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:384:4: T_LPAREN ( methodParameterList[newAction] )? T_RPAREN
                     {
                     match(input,T_LPAREN,FOLLOW_T_LPAREN_in_namedAction1471);
 
-                    pushFollow(FOLLOW_methodParameterList_in_namedAction1473);
-                    methodParameterList(newAction);
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:384:13: ( methodParameterList[newAction] )?
+                    int alt34=2;
+                    final int LA34_0 = input.LA(1);
 
-                    state._fsp--;
+                    if ( (LA34_0==T_IDENTIFIER) ) {
+                        alt34=1;
+                    }
+                    switch (alt34) {
+                        case 1 :
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:384:13: methodParameterList[newAction]
+                            {
+                            pushFollow(FOLLOW_methodParameterList_in_namedAction1473);
+                            methodParameterList(newAction);
 
+                            state._fsp--;
 
-                    match(input,T_RPAREN,FOLLOW_T_RPAREN_in_namedAction1477);
 
+                            }
+                            break;
+
                     }
+
+
+                    match(input,T_RPAREN,FOLLOW_T_RPAREN_in_namedAction1478);
+
+                    }
                     break;
 
             }
 
 
-            match(input,T_EQUAL,FOLLOW_T_EQUAL_in_namedAction1484);
+            match(input,T_EQUAL,FOLLOW_T_EQUAL_in_namedAction1485);
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:382:3: ( T_VAR localActionVars[newAction] )?
-            int alt35=2;
-            final int LA35_0 = input.LA(1);
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:386:3: ( T_VAR localActionVars[newAction] )?
+            int alt36=2;
+            final int LA36_0 = input.LA(1);
 
-            if ( (LA35_0==T_VAR) ) {
-                alt35=1;
+            if ( (LA36_0==T_VAR) ) {
+                alt36=1;
             }
-            switch (alt35) {
+            switch (alt36) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:382:4: T_VAR localActionVars[newAction]
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:386:4: T_VAR localActionVars[newAction]
                     {
-                    match(input,T_VAR,FOLLOW_T_VAR_in_namedAction1490);
+                    match(input,T_VAR,FOLLOW_T_VAR_in_namedAction1491);
 
-                    pushFollow(FOLLOW_localActionVars_in_namedAction1492);
+                    pushFollow(FOLLOW_localActionVars_in_namedAction1493);
                     localActionVars(newAction);
 
                     state._fsp--;
@@ -2135,7 +2153,7 @@
             }
 
 
-            pushFollow(FOLLOW_discreteActionBody_in_namedAction1503);
+            pushFollow(FOLLOW_discreteActionBody_in_namedAction1504);
             body=discreteActionBody();
 
             state._fsp--;
@@ -2162,7 +2180,7 @@
 
 
     // $ANTLR start "localActionVars"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:390:1: localActionVars[FunctionIdentifier newMethod] : id1= T_IDENTIFIER T_COLON t1= complexType ( T_SEMICOLON id2= T_IDENTIFIER T_COLON t2= complexType )* ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:394:1: localActionVars[FunctionIdentifier newMethod] : id1= T_IDENTIFIER T_COLON t1= complexType ( T_SEMICOLON id2= T_IDENTIFIER T_COLON t2= complexType )* ;
     public final void localActionVars(FunctionIdentifier newMethod) throws RecognitionException {
         Token id1=null;
         Token id2=null;
@@ -2172,14 +2190,14 @@
 
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:391:2: (id1= T_IDENTIFIER T_COLON t1= complexType ( T_SEMICOLON id2= T_IDENTIFIER T_COLON t2= complexType )* )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:392:3: id1= T_IDENTIFIER T_COLON t1= complexType ( T_SEMICOLON id2= T_IDENTIFIER T_COLON t2= complexType )*
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:395:2: (id1= T_IDENTIFIER T_COLON t1= complexType ( T_SEMICOLON id2= T_IDENTIFIER T_COLON t2= complexType )* )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:396:3: id1= T_IDENTIFIER T_COLON t1= complexType ( T_SEMICOLON id2= T_IDENTIFIER T_COLON t2= complexType )*
             {
-            id1=(Token)match(input,T_IDENTIFIER,FOLLOW_T_IDENTIFIER_in_localActionVars1535);
+            id1=(Token)match(input,T_IDENTIFIER,FOLLOW_T_IDENTIFIER_in_localActionVars1536);
 
-            match(input,T_COLON,FOLLOW_T_COLON_in_localActionVars1537);
+            match(input,T_COLON,FOLLOW_T_COLON_in_localActionVars1538);
 
-            pushFollow(FOLLOW_complexType_in_localActionVars1541);
+            pushFollow(FOLLOW_complexType_in_localActionVars1542);
             t1=complexType();
 
             state._fsp--;
@@ -2187,28 +2205,28 @@
 
             addLocalVariableToNamedAction(newMethod,id1,t1);
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:393:4: ( T_SEMICOLON id2= T_IDENTIFIER T_COLON t2= complexType )*
-            loop36:
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:397:4: ( T_SEMICOLON id2= T_IDENTIFIER T_COLON t2= complexType )*
+            loop37:
             do {
-                int alt36=2;
-                final int LA36_0 = input.LA(1);
+                int alt37=2;
+                final int LA37_0 = input.LA(1);
 
-                if ( (LA36_0==T_SEMICOLON) ) {
-                    alt36=1;
+                if ( (LA37_0==T_SEMICOLON) ) {
+                    alt37=1;
                 }
 
 
-                switch (alt36) {
+                switch (alt37) {
             	case 1 :
-            	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:393:5: T_SEMICOLON id2= T_IDENTIFIER T_COLON t2= complexType
+            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:397:5: T_SEMICOLON id2= T_IDENTIFIER T_COLON t2= complexType
             	    {
-            	    match(input,T_SEMICOLON,FOLLOW_T_SEMICOLON_in_localActionVars1550);
+            	    match(input,T_SEMICOLON,FOLLOW_T_SEMICOLON_in_localActionVars1551);
 
-            	    id2=(Token)match(input,T_IDENTIFIER,FOLLOW_T_IDENTIFIER_in_localActionVars1554);
+            	    id2=(Token)match(input,T_IDENTIFIER,FOLLOW_T_IDENTIFIER_in_localActionVars1555);
 
-            	    match(input,T_COLON,FOLLOW_T_COLON_in_localActionVars1556);
+            	    match(input,T_COLON,FOLLOW_T_COLON_in_localActionVars1557);
 
-            	    pushFollow(FOLLOW_complexType_in_localActionVars1560);
+            	    pushFollow(FOLLOW_complexType_in_localActionVars1561);
             	    t2=complexType();
 
             	    state._fsp--;
@@ -2220,7 +2238,7 @@
             	    break;
 
             	default :
-            	    break loop36;
+            	    break loop37;
                 }
             } while (true);
 
@@ -2243,7 +2261,7 @@
 
 
     // $ANTLR start "anonymousAction"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:399:1: anonymousAction returns [GuardedCommand result] : b= discreteActionBody ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:403:1: anonymousAction returns [GuardedCommand result] : b= discreteActionBody ;
     public final GuardedCommand anonymousAction() throws RecognitionException {
         GuardedCommand result = null;
 
@@ -2252,10 +2270,10 @@
 
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:401:2: (b= discreteActionBody )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:402:3: b= discreteActionBody
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:405:2: (b= discreteActionBody )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:406:3: b= discreteActionBody
             {
-            pushFollow(FOLLOW_discreteActionBody_in_anonymousAction1593);
+            pushFollow(FOLLOW_discreteActionBody_in_anonymousAction1594);
             b=discreteActionBody();
 
             state._fsp--;
@@ -2281,7 +2299,7 @@
 
 
     // $ANTLR start "discreteActionBody"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:405:1: discreteActionBody returns [GuardedCommand result] : T_REQUIRES expr= expression T_COLON bdy= actionBody[null] T_END ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:409:1: discreteActionBody returns [GuardedCommand result] : T_REQUIRES expr= expression T_COLON bdy= actionBody[null] T_END ;
     public final GuardedCommand discreteActionBody() throws RecognitionException {
         GuardedCommand result = null;
 
@@ -2295,28 +2313,28 @@
         		result = null;
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:410:2: ( T_REQUIRES expr= expression T_COLON bdy= actionBody[null] T_END )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:411:3: T_REQUIRES expr= expression T_COLON bdy= actionBody[null] T_END
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:414:2: ( T_REQUIRES expr= expression T_COLON bdy= actionBody[null] T_END )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:415:3: T_REQUIRES expr= expression T_COLON bdy= actionBody[null] T_END
             {
             result = createGuardedCommandStatement(); pushBlockToResolveStack(result);
 
-            match(input,T_REQUIRES,FOLLOW_T_REQUIRES_in_discreteActionBody1624);
+            match(input,T_REQUIRES,FOLLOW_T_REQUIRES_in_discreteActionBody1625);
 
-            pushFollow(FOLLOW_expression_in_discreteActionBody1628);
+            pushFollow(FOLLOW_expression_in_discreteActionBody1629);
             expr=expression();
 
             state._fsp--;
 
 
-            match(input,T_COLON,FOLLOW_T_COLON_in_discreteActionBody1630);
+            match(input,T_COLON,FOLLOW_T_COLON_in_discreteActionBody1631);
 
-            pushFollow(FOLLOW_actionBody_in_discreteActionBody1637);
+            pushFollow(FOLLOW_actionBody_in_discreteActionBody1638);
             bdy=actionBody(null);
 
             state._fsp--;
 
 
-            match(input,T_END,FOLLOW_T_END_in_discreteActionBody1642);
+            match(input,T_END,FOLLOW_T_END_in_discreteActionBody1643);
 
             addExprAndBlockToGuardedCommand(result,expr,bdy);
 
@@ -2339,41 +2357,41 @@
 
 
     // $ANTLR start "actionBlock"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:425:1: actionBlock[Block top] returns [Block prioList] : actionBlockParallel[prioList] ( T_PRIO actionBlockParallel[prioList] )* ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:429:1: actionBlock[Block top] returns [Block prioList] : actionBlockParallel[prioList] ( T_PRIO actionBlockParallel[prioList] )* ;
     public final Block actionBlock(Block top) throws RecognitionException {
         Block prioList = null;
 
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:427:2: ( actionBlockParallel[prioList] ( T_PRIO actionBlockParallel[prioList] )* )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:427:6: actionBlockParallel[prioList] ( T_PRIO actionBlockParallel[prioList] )*
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:431:2: ( actionBlockParallel[prioList] ( T_PRIO actionBlockParallel[prioList] )* )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:431:6: actionBlockParallel[prioList] ( T_PRIO actionBlockParallel[prioList] )*
             {
             prioList = createPrioBlock(top);  pushBlockToResolveStack(prioList);
 
-            pushFollow(FOLLOW_actionBlockParallel_in_actionBlock1685);
+            pushFollow(FOLLOW_actionBlockParallel_in_actionBlock1686);
             actionBlockParallel(prioList);
 
             state._fsp--;
 
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:428:34: ( T_PRIO actionBlockParallel[prioList] )*
-            loop37:
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:432:34: ( T_PRIO actionBlockParallel[prioList] )*
+            loop38:
             do {
-                int alt37=2;
-                final int LA37_0 = input.LA(1);
+                int alt38=2;
+                final int LA38_0 = input.LA(1);
 
-                if ( (LA37_0==T_PRIO) ) {
-                    alt37=1;
+                if ( (LA38_0==T_PRIO) ) {
+                    alt38=1;
                 }
 
 
-                switch (alt37) {
+                switch (alt38) {
             	case 1 :
-            	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:428:35: T_PRIO actionBlockParallel[prioList]
+            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:432:35: T_PRIO actionBlockParallel[prioList]
             	    {
-            	    match(input,T_PRIO,FOLLOW_T_PRIO_in_actionBlock1689);
+            	    match(input,T_PRIO,FOLLOW_T_PRIO_in_actionBlock1690);
 
-            	    pushFollow(FOLLOW_actionBlockParallel_in_actionBlock1691);
+            	    pushFollow(FOLLOW_actionBlockParallel_in_actionBlock1692);
             	    actionBlockParallel(prioList);
 
             	    state._fsp--;
@@ -2383,7 +2401,7 @@
             	    break;
 
             	default :
-            	    break loop37;
+            	    break loop38;
                 }
             } while (true);
 
@@ -2407,39 +2425,39 @@
 
 
     // $ANTLR start "actionBlockParallel"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:433:1: actionBlockParallel[Block top] : actionBlockSequential[parList] ( T_NONDET actionBlockSequential[parList] )* ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:437:1: actionBlockParallel[Block top] : actionBlockSequential[parList] ( T_NONDET actionBlockSequential[parList] )* ;
     public final void actionBlockParallel(Block top) throws RecognitionException {
         	final Block parList = createNondetBlock(top);
         		 	pushBlockToResolveStack(parList);
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:437:2: ( actionBlockSequential[parList] ( T_NONDET actionBlockSequential[parList] )* )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:437:4: actionBlockSequential[parList] ( T_NONDET actionBlockSequential[parList] )*
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:441:2: ( actionBlockSequential[parList] ( T_NONDET actionBlockSequential[parList] )* )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:441:4: actionBlockSequential[parList] ( T_NONDET actionBlockSequential[parList] )*
             {
-            pushFollow(FOLLOW_actionBlockSequential_in_actionBlockParallel1724);
+            pushFollow(FOLLOW_actionBlockSequential_in_actionBlockParallel1725);
             actionBlockSequential(parList);
 
             state._fsp--;
 
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:437:35: ( T_NONDET actionBlockSequential[parList] )*
-            loop38:
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:441:35: ( T_NONDET actionBlockSequential[parList] )*
+            loop39:
             do {
-                int alt38=2;
-                final int LA38_0 = input.LA(1);
+                int alt39=2;
+                final int LA39_0 = input.LA(1);
 
-                if ( (LA38_0==T_NONDET) ) {
-                    alt38=1;
+                if ( (LA39_0==T_NONDET) ) {
+                    alt39=1;
                 }
 
 
-                switch (alt38) {
+                switch (alt39) {
             	case 1 :
-            	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:437:36: T_NONDET actionBlockSequential[parList]
+            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:441:36: T_NONDET actionBlockSequential[parList]
             	    {
-            	    match(input,T_NONDET,FOLLOW_T_NONDET_in_actionBlockParallel1728);
+            	    match(input,T_NONDET,FOLLOW_T_NONDET_in_actionBlockParallel1729);
 
-            	    pushFollow(FOLLOW_actionBlockSequential_in_actionBlockParallel1730);
+            	    pushFollow(FOLLOW_actionBlockSequential_in_actionBlockParallel1731);
             	    actionBlockSequential(parList);
 
             	    state._fsp--;
@@ -2449,7 +2467,7 @@
             	    break;
 
             	default :
-            	    break loop38;
+            	    break loop39;
                 }
             } while (true);
 
@@ -2473,7 +2491,7 @@
 
 
     // $ANTLR start "actionBlockSequential"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:442:1: actionBlockSequential[Block top] : ( T_VAR syms= blockvarlist[seqList] ( '&' sexpr= expression )? T_COLON )? actionBlockParen[seqList] ( T_SEMICOLON actionBlockParen[seqList] )* ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:446:1: actionBlockSequential[Block top] : ( T_VAR syms= blockvarlist[seqList] ( '&' sexpr= expression )? T_COLON )? actionBlockParen[seqList] ( T_SEMICOLON actionBlockParen[seqList] )* ;
     public final void actionBlockSequential(Block top) throws RecognitionException {
         Expression sexpr =null;
 
